## org.apache.aries.subsystem.core.archive
Class DeploymentManifest.Builder

    java.lang.Object
      org.apache.aries.subsystem.core.archive.DeploymentManifest.Builder

Enclosing class:
  DeploymentManifest

    public static class DeploymentManifest.Builder

extends Object

Constructor Summary
`DeploymentManifest.Builder()`

Method Summary
`DeploymentManifest.Builder` `autostart(boolean value)`
`DeploymentManifest` `build()`
`DeploymentManifest.Builder` `content(org.osgi.resource.Resource resource, boolean referenced)`
`DeploymentManifest.Builder` `header(Header<?> value)`
`DeploymentManifest.Builder` `id(long value)`
`DeploymentManifest.Builder` `lastId(long value)`
`DeploymentManifest.Builder` `location(String value)`
`DeploymentManifest.Builder` `manifest(DeploymentManifest value)`
`DeploymentManifest.Builder` `manifest(SubsystemManifest value)`
`DeploymentManifest.Builder` `parent(BasicSubsystem value, boolean referenceCount)`
`DeploymentManifest.Builder` `region(org.eclipse.equinox.region.Region value)`
`DeploymentManifest.Builder` `region(String value)`
`DeploymentManifest.Builder` `state(org.osgi.service.subsystem.Subsystem.State value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeploymentManifest.Builder

    public DeploymentManifest.Builder()

Method Detail

### build

    public DeploymentManifest build()

### autostart

    public DeploymentManifest.Builder autostart(boolean value)

### content

    public DeploymentManifest.Builder content(org.osgi.resource.Resource resource,
                                              boolean referenced)

### header

    public DeploymentManifest.Builder header(Header<?> value)

### id

    public DeploymentManifest.Builder id(long value)

### lastId

    public DeploymentManifest.Builder lastId(long value)

### location

    public DeploymentManifest.Builder location(String value)

### manifest

    public DeploymentManifest.Builder manifest(DeploymentManifest value)

### manifest

    public DeploymentManifest.Builder manifest(SubsystemManifest value)

### parent

    public DeploymentManifest.Builder parent(BasicSubsystem value,
                                             boolean referenceCount)

### region

    public DeploymentManifest.Builder region(String value)

### region

    public DeploymentManifest.Builder region(org.eclipse.equinox.region.Region value)

### state

    public DeploymentManifest.Builder state(org.osgi.service.subsystem.Subsystem.State value)

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.